# purefa_banner – Configure Pure Storage FlashArray GUI and SSH MOTD message

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Configure MOTD for Pure Storage FlashArrays.
- This will be shown during an SSH or GUI login to the array.
- Multiple line messages can be achieved using \n.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- purestorage

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | FlashArray API token for admin privileged user.
banner string | Default: "Welcome to the machine..." | Banner text, or MOTD, to use
fa_url string / required |  | FlashArray management IPv4 address or Hostname.

state
string

Choices:
- present ←
- absent

Set ot delete the MOTD

## Notes

Note

- This module requires the `purestorage` Python library
- You must set `PUREFA_URL` and `PUREFA_API` environment variables if fa_url and api_token arguments are not passed to the module directly

## Examples

    - name: Set new banner text
      purefa_banner:
        banner: "Banner over\ntwo lines"
        state: present
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Delete banner text
      purefa_banner:
        state: absent
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.